Skip to main content
GET
Get IFTA Summary
Note: data may change for a few days after the month. We will continue to update those reports to ensure you get accurate results.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Application-Id
string

Scopes the request to a Terminal application in the caller's organization. Required for multi-application organizations when using a user session or OAuth access token. API keys are already bound to a single application.

Connection-Token
string
required

The token returned when a user authenticated their account. This authorizes access to a specific account.

Pattern: ^con_tkn_\S+$
Example:

"con_tkn_22vUhkC6tgre4kwaYfUkCDA1rzn6eyb4"

Query Parameters

cursor
string<cursor>

Pagination cursor to start requests from

Pattern: ^[A-Za-z0-9+/=_-]+$
Example:

"cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw"

expand
enum<string>

Expand resources in the returned response

Available options:
vehicle
raw
boolean

Include raw responses used to normalize model. Used for debugging or accessing unique properties that are not unified.

startMonth
string
required

First month to include, inclusive. ISO 8601 month

Pattern: ^(\d{4})-(0[1-9]|1[0-2])$
Example:

"2021-01"

endMonth
string
required

Last month to include, inclusive. ISO 8601 month

Pattern: ^(\d{4})-(0[1-9]|1[0-2])$
Example:

"2021-01"

groupBy
enum<string>
default:vehicle,jurisdiction

How to total distance across the requested months. The default, vehicle,jurisdiction, returns one row per vehicle and jurisdiction, summed across every month from startMonth to endMonth. Use vehicle,jurisdiction,month to get one row per month.

Available options:
jurisdiction,
vehicle,
vehicle,jurisdiction,
vehicle,jurisdiction,month

Response

OK

results
IFTA Summary · object[]
required
next
string<cursor>

Cursor used for pagination.

Pattern: ^[A-Za-z0-9+/=_-]+$
Example:

"cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw"